> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md).

# TableLayoutColumnStyleCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [TableLayoutStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutstylecollection.md)
  * [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md)

A collection that stores [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) objects.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TableLayoutColumnStyleCollection : TableLayoutStyleCollection
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TableLayoutColumnStyleCollection
    Inherits TableLayoutStyleCollection
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(index)

[ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md): Returns or sets the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) at the specified index.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Add(colStyle)

Adds a new [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) to the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md).

| Parameter    | Type                                                                               | Description                                                                                                                                                                                                                        |
| ------------ | ---------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **colStyle** | [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) | The [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) to add to the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md). |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The position into which the new element was inserted.

### ![](/files/hsR4ok3152WyAf8J2C1u) Contains(colStyle)

Determines whether the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md) contains a specific style.

| Parameter    | Type                                                                               | Description                                                                                                                                                                                                                           |
| ------------ | ---------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **colStyle** | [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) | The [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) to locate in the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md). |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). true if the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) is found in the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md); otherwise, false.

### ![](/files/hsR4ok3152WyAf8J2C1u) IndexOf(colStyle)

Determines the index of a specific item in the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md).

| Parameter    | Type                                                                               | Description                                                                                                                                                                                                                           |
| ------------ | ---------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **colStyle** | [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) | The [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) to locate in the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md). |

**Returns:** [Int32](https://docs.microsoft.com/dotnet/api/system.int32). The index of *colStyle* if found in the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md); otherwise, -1.

### ![](/files/hsR4ok3152WyAf8J2C1u) Insert(index, colStyle)

Inserts a [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) into the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md) at the specified position.

| Parameter    | Type                                                                               | Description                                                                                                                                                                                                                                                    |
| ------------ | ---------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **index**    | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                        | The zero-based index at which the [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) should be inserted.                                                                                                                       |
| **colStyle** | [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) | The [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) to insert into the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md). The value can be null. |

### ![](/files/hsR4ok3152WyAf8J2C1u) Remove(colStyle)

Removes the first occurrence of a specific object from the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md).

| Parameter    | Type                                                                               | Description                                                                                                                                                                                                                                                    |
| ------------ | ---------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **colStyle** | [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) | The [ColumnStyle](/api/wisej.web/containers/tablelayoutpanel/wisej.web.columnstyle.md) to remove from the [TableLayoutColumnStyleCollection](/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md). The value can be null. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/tablelayoutpanel/wisej.web.tablelayoutcolumnstylecollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
